accrue.analysis.defuse

## Class DefUseGoal

- java.lang.Object
- - polyglot.frontend.goals.AbstractGoal
  - - accrue.analysis.defuse.DefUseGoal

- All Implemented Interfaces:
    polyglot.frontend.goals.Goal

      public class DefUseGoal
      extends polyglot.frontend.goals.AbstractGoal

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DefUseAnalysisUtil.Mode` | `mode`

    - ### Fields inherited from class polyglot.frontend.goals.AbstractGoal

      `corequisites, job, name, prerequisites, state`

    - ### Fields inherited from interface polyglot.frontend.goals.Goal

      `ATTEMPTED, REACHED, RUNNING, UNREACHABLE, UNREACHABLE_THIS_RUN, UNREACHED`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefUseGoal(DefUseAnalysisUtil.Mode mode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.frontend.Pass` | `createPass(polyglot.frontend.ExtensionInfo extInfo)`
    `java.util.Collection<polyglot.frontend.goals.Goal>` | `prerequisiteGoals(polyglot.frontend.Scheduler scheduler)`
    `static polyglot.frontend.goals.Goal` | `singleton(polyglot.frontend.ExtensionInfo extInfo, DefUseAnalysisUtil.Mode mode)`

    - ### Methods inherited from class polyglot.frontend.goals.AbstractGoal

      `addCorequisiteGoal, addPrerequisiteGoal, checkCycles, conflictsWith, corequisiteGoals, equals, hasBeenReached, hashCode, isReachable, job, name, setState, setUnreachable, setUnreachableThisRun, state, stateString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mode

          protected final DefUseAnalysisUtil.Mode mode

  - ### Constructor Detail

    - #### DefUseGoal

          protected DefUseGoal(DefUseAnalysisUtil.Mode mode)

  - ### Method Detail

    - #### singleton

          public static polyglot.frontend.goals.Goal singleton(polyglot.frontend.ExtensionInfo extInfo,
                                               DefUseAnalysisUtil.Mode mode)

    - #### prerequisiteGoals

          public java.util.Collection<polyglot.frontend.goals.Goal> prerequisiteGoals(polyglot.frontend.Scheduler scheduler)

      Specified by:
        `prerequisiteGoals` in interface `polyglot.frontend.goals.Goal`
      Overrides:
        `prerequisiteGoals` in class `polyglot.frontend.goals.AbstractGoal`

    - #### createPass

          public polyglot.frontend.Pass createPass(polyglot.frontend.ExtensionInfo extInfo)

      Specified by:
        `createPass` in interface `polyglot.frontend.goals.Goal`
      Specified by:
        `createPass` in class `polyglot.frontend.goals.AbstractGoal`